Skip to Content
Video ModelsHappyHorse 1

HappyHorse 1

Overview

HappyHorse 1 is available on Pixwith API for text-to-video and image-to-video generation.

Test API KEY: key_00000000000000000000000000000000

Endpoints

1. Create Task

Request

POST https://api.pixwithapi.online/api/task/create

Headers

HeaderValueRequired
Content-Typeapplication/jsonYes
Api-Key{API_KEY}Yes

Request Parameters

ParameterTypeRequiredDescription
promptstringYesThe prompt for the video.
image_urlsarrayConditionalFor image-to-video mode only. Provide 1 to 4 image URLs. Omit for text-to-video mode.
model_idstringYes2-51
optionsobjectYesConfiguration options for the task.
options.resolutionstringYesValid values: '720p', '1080p'. Default: '720p'.
options.durationintYesValid values: 5, 10, 15. Default: 5.
options.aspect_ratiostringYesValid values: '16:9', '9:16', '1:1', '4:3', '3:4','4:5','5:4'. Default: '16:9'.

Example Request - Text-to-Video

{ "prompt": "A bright product reveal video with smooth camera movement and clean studio lighting", "model_id": "2-51", "options": { "resolution": "720p", "duration": 5, "aspect_ratio": "16:9" } }

Example Request - Image-to-Video

{ "prompt": "Animate these references into one cohesive fashion campaign shot with a slow dolly-in", "image_urls": [ "https://cdn.pixwithapi.online/images/look_1.jpeg", "https://cdn.pixwithapi.online/images/look_2.jpeg", "https://cdn.pixwithapi.online/images/look_3.jpeg", "https://cdn.pixwithapi.online/images/look_4.jpeg" ], "model_id": "2-51", "options": { "resolution": "1080p", "duration": 10, "aspect_ratio": "9:16" } }

Response Parameters

ParameterTypeDescription
codeint1=success, 0=error
messagestringSuccess and failure messages
dataobject
data.task_idstring
data.estimated_timeintEstimated time in seconds

Response

{ "code": 1, "message": "success", "data": { "task_id": "d425ab4dc256f0ebaa84862b9cea8a3d", "estimated_time": 125 } }
Last updated on